Subject: Re: [PATCH 20/20] of: deprecate and rename of_property_for_each_u32()

From: Luca Ceresoli <[email-masked]>
Date: Thu, 4 Jul 2024 23:33:46 +0200

Hello Rob,

On Wed, 3 Jul 2024 12:01:11 -0600
Rob Herring <[email-masked]> wrote:

> On Wed, Jul 03, 2024 at 12:37:04PM +0200, Luca Ceresoli wrote:
> > of_property_for_each_u32() is meant to disappear. All the call sites not
> > using the 3rd and 4th arguments have already been replaced by
> > of_property_for_each_u32_new().
> > 
> > Deprecate the old macro. Also rename it to minimize the number of new
> > usages and encourage conversion to the of_property_for_each_u32_new() macro
> > in not(-yet)-upstream code.
> > 
> > Signed-off-by: Luca Ceresoli <[email-masked]>
> > 
> > ---
> > 
> > Notes:
> > 
> >  * The following files have not been build-tested simply because I haven't
> >    managed to have a config that enables them so far:
> > 
> >      drivers/irqchip/irq-pic32-evic.c
> >      drivers/pinctrl/pinctrl-k210.c
> > 
> >  * These have not been converted yet as they are not trivial, and they will
> >    need to use a more specific function that does the lookup they need and
> >    returns the result:
> > 
> >      drivers/clk/clk-si5351.c  
> 
> I would do something like this:

Thanks for the suggestions.

I literally did not even try to look at what the code does in these few
places, and still haven't, simply due to time availability. But I wanted
to get a first series out as soon as possible as it would probably be
useful to Peng [0]. Yours will be a good starting point for when I
tackle those few remaining usages of the "old" macro. Thanks.

[0] https://lore.kernel.org/all/20240628161617.6bc9ca3c@booty/

Luca

-- 
Luca Ceresoli, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com